Loading...
Searching...
No Matches
BALL::TreeWidthImplementation< UndirectedGraph >::FillInHeuristic Struct Reference

`#include <BALL/DATATYPE/GRAPH/treeWidth.h>`

## Public Member Functions

VertexType & | operator() (UndirectedGraph &graph)
Size | edgeIncreaseByEliminating (VertexIterator vertex, UndirectedGraph &graph)

## Detailed Description

template<class UndirectedGraph>
struct BALL::TreeWidthImplementation< UndirectedGraph >::FillInHeuristic

A criterium for GreedyFillIn which search for a vertex with minimum number of additional edges after eliminating

Definition at line 299 of file treeWidth.h.

## Member Function Documentation

## edgeIncreaseByEliminating()

template<class UndirectedGraph>

Size BALL::TreeWidthImplementation< UndirectedGraph >::FillInHeuristic::edgeIncreaseByEliminating | ( | VertexIterator | vertex,
|  | UndirectedGraph & | graph )

## operator()()

template<class UndirectedGraph>

VertexType & BALL::TreeWidthImplementation< UndirectedGraph >::FillInHeuristic::operator() | ( | UndirectedGraph & | graph | ) |